﻿// (c) by Sitsanlis Ilias All rights reserved

function calcB(x , y , z )  {
	var RE=6370000
	var r = RE*Math.sqrt(x*x+y*y+z*z);
	var θ = Math.atan(Math.sqrt(x*x+y*y)/z);
	var φ = Math.atan2 (y,x);
	
	var sθ = Math.sin(θ);
	var sφ = Math.sin(φ);
	
	var cθ = Math.cos(θ);
	var cφ = Math.cos(φ);
	
	var er = new THREE.Vector3(sθ*cφ,sθ*sφ,cθ);

	var eθ = new THREE.Vector3(cθ*cφ,cθ*sφ,-sθ);
	var eφ = new THREE.Vector3(-sφ,cφ,0);
	
	var k0 = 8e15;

	var r3 = r*r*r;

	var Br = new THREE.Vector3();
	Br=er
	Br.multiplyScalar(2*k0*cθ/r3);

	var Bθ = new THREE.Vector3();
	Bθ=eθ
	Bθ.multiplyScalar(k0*sθ/r3);

	var vB=new THREE.Vector3();
	vB.addVectors(Br,Bθ);
	
	return vB;
}
